
<form method='post' th:object='${product}' th:action="@{/products}">
  <div class="mb-3">
    <label for="name" class="form-label">Product Name</label>
    <input th:field='${product.name}' type="text" class="form-control" id="name" placeholder="Type product name here..." aria-describedby="nameHelp" name="name">
    <input th:field='${product.id}' type="hidden" id="id" name="id">
    <input type="hidden" th:field="${product.createdAt}">
  </div>
  <div class="mb-3">
    <label for="description" class="form-label">Product Description</label>
    <input th:field='${product.description}' type="text" class="form-control" id="description" placeholder="Type product description here..." aria-describedby="descHelp" name="description">
  </div>
  <div class="mb-3">
    <label for="price" class="form-label">Price</label>
    <input th:field='${product.price}' type="number" class="form-control" id="price" name="price">
  </div>
  <div class="mb-3">
    <label for="quantity" class="form-label">Quantity</label>
    <input th:field='${product.quantity}' type="number" class="form-control" id="quantity" name="quantity">
  </div>
    
  <button type="submit" class="btn btn-primary">Submit</button>
</form>